> ## Documentation Index
> Fetch the complete documentation index at: https://docs.recoupable.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Album

> Get Spotify catalog information for a single album.



## OpenAPI

````yaml api-reference/openapi/social.json GET /api/spotify/album
openapi: 3.1.0
info:
  title: Recoup API - Social
  description: >-
    API documentation for the Recoup platform - an AI agent platform for the
    music industry
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.recoupable.dev
security: []
paths:
  /api/spotify/album:
    get:
      description: Get Spotify catalog information for a single album.
      parameters:
        - name: id
          in: query
          description: The Spotify ID of the album
          required: true
          schema:
            type: string
        - name: market
          in: query
          description: >-
            An ISO 3166-1 alpha-2 country code. If provided, only content
            available in that market is returned
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Album retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SpotifyAlbum'
        '400':
          description: Bad request - missing required parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SpotifyErrorResponse'
components:
  schemas:
    SpotifyAlbum:
      type: object
      properties:
        album_type:
          type: string
          enum:
            - album
            - single
            - compilation
          description: The type of the album
        total_tracks:
          type: integer
          description: The number of tracks in the album
        available_markets:
          type: array
          items:
            type: string
          description: Markets in which the album is available
        external_urls:
          $ref: '#/components/schemas/SpotifyExternalUrls'
        href:
          type: string
          description: A link to the Web API endpoint providing full details
        id:
          type: string
          description: The Spotify ID for the album
        images:
          type: array
          items:
            $ref: '#/components/schemas/SpotifyImage'
          description: The cover art for the album in various sizes
        name:
          type: string
          description: The name of the album
        release_date:
          type: string
          description: The date the album was first released
        release_date_precision:
          type: string
          enum:
            - year
            - month
            - day
          description: The precision with which release_date value is known
        restrictions:
          type: object
          properties:
            reason:
              type: string
          description: Included when a content restriction is applied
        type:
          type: string
          enum:
            - album
          description: The object type, always 'album'
        uri:
          type: string
          description: The Spotify URI for the album
        artists:
          type: array
          items:
            $ref: '#/components/schemas/SpotifySimplifiedArtist'
          description: The artists of the album
        tracks:
          $ref: '#/components/schemas/SpotifyAlbumTracks'
          description: The tracks of the album
        copyrights:
          type: array
          items:
            $ref: '#/components/schemas/SpotifyCopyright'
          description: Copyright statements of the album
        external_ids:
          type: object
          properties:
            isrc:
              type: string
            ean:
              type: string
            upc:
              type: string
          description: Known external IDs for the album
        genres:
          type: array
          items:
            type: string
          description: Deprecated. Always empty.
        label:
          type: string
          description: The label associated with the album
        popularity:
          type: integer
          description: Popularity of the album (0-100)
    SpotifyErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            status:
              type: integer
              description: HTTP status code
            message:
              type: string
              description: Error message
          description: Error details
    SpotifyExternalUrls:
      type: object
      properties:
        spotify:
          type: string
          description: The Spotify URL for the object
    SpotifyImage:
      type: object
      properties:
        url:
          type: string
          description: The source URL of the image
        height:
          type: integer
          nullable: true
          description: The image height in pixels
        width:
          type: integer
          nullable: true
          description: The image width in pixels
    SpotifySimplifiedArtist:
      type: object
      properties:
        external_urls:
          $ref: '#/components/schemas/SpotifyExternalUrls'
        href:
          type: string
          description: A link to the Web API endpoint providing full details
        id:
          type: string
          description: The Spotify ID for the artist
        name:
          type: string
          description: The name of the artist
        type:
          type: string
          enum:
            - artist
          description: The object type, always 'artist'
        uri:
          type: string
          description: The Spotify URI for the artist
    SpotifyAlbumTracks:
      type: object
      properties:
        href:
          type: string
          description: A link to the Web API endpoint
        limit:
          type: integer
          description: The maximum number of items in the response
        next:
          type: string
          nullable: true
          description: URL to the next page of items
        offset:
          type: integer
          description: The offset of the items returned
        previous:
          type: string
          nullable: true
          description: URL to the previous page
        total:
          type: integer
          description: Total number of items available
        items:
          type: array
          items:
            $ref: '#/components/schemas/SpotifySimplifiedTrack'
          description: Array of simplified track objects
    SpotifyCopyright:
      type: object
      properties:
        text:
          type: string
          description: The copyright text
        type:
          type: string
          description: The type of copyright
    SpotifySimplifiedTrack:
      type: object
      properties:
        artists:
          type: array
          items:
            $ref: '#/components/schemas/SpotifySimplifiedArtist'
          description: The artists who performed the track
        available_markets:
          type: array
          items:
            type: string
          description: Markets in which the track is available
        disc_number:
          type: integer
          description: Disc number the track is on
        duration_ms:
          type: integer
          description: Track length in milliseconds
        explicit:
          type: boolean
          description: Whether the track has explicit lyrics
        external_urls:
          $ref: '#/components/schemas/SpotifyExternalUrls'
        href:
          type: string
          description: Link to the Web API endpoint
        id:
          type: string
          description: Spotify ID for the track
        is_playable:
          type: boolean
          description: If true, the track is playable
        linked_from:
          type: object
          description: Track relinking info
        restrictions:
          type: object
          properties:
            reason:
              type: string
        name:
          type: string
          description: Track name
        preview_url:
          type: string
          nullable: true
          description: URL to a 30 second preview
        track_number:
          type: integer
          description: Track number on the album
        type:
          type: string
          enum:
            - track
        uri:
          type: string
          description: Spotify URI for the track
        is_local:
          type: boolean
          description: Whether from a local file

````